Subject: Re: [PATCH 3/4] powerpc: pm: add EPU FSM configuration for deep sleep

From: Scott Wood <[email-masked]>
Date: Mon, 3 Aug 2015 16:22:51 -0500

On Mon, 2015-08-03 at 20:01 +0800, Chenhui Zhao wrote:
> On Sat, Aug 1, 2015 at 8:41 AM, Scott Wood <[email-masked]> 
> wrote:
> > On Fri, 2015-07-31 at 20:53 +0800, Chenhui Zhao wrote:
> > >  In the last stage of deep sleep, software will trigger a Finite
> > >  State Machine (FSM) to control the hardware precedure, such as
> > >  board isolation, killing PLLs, removing power, and so on.
> > > 
> > >  When the system is waked up by an interrupt, the FSM controls the
> > >  hardware to complete the early resume precedure.
> > > 
> > >  This patch configure the EPU FSM preparing for deep sleep.
> > > 
> > >  Signed-off-by: Chenhui Zhao <[email-masked]>
> > >  ---
> > >   arch/powerpc/platforms/85xx/Makefile    |   2 +-
> > >   arch/powerpc/platforms/85xx/sleep_fsm.c | 256
> > >  ++++++++++++++++++++++++++++++++
> > >   arch/powerpc/platforms/85xx/sleep_fsm.h | 104 +++++++++++++
> > >   3 files changed, 361 insertions(+), 1 deletion(-)
> > >   create mode 100644 arch/powerpc/platforms/85xx/sleep_fsm.c
> > >   create mode 100644 arch/powerpc/platforms/85xx/sleep_fsm.h
> > 
> > When I asked why this was in drivers/platform[1], you said it was to 
> > share
> > with LS1, and that the values used were the same -- so why did you 
> > move it to
> > arch/powerpc?
> 
> There are some changes. LS1 will use PSCI (Power State Coordination 
> Interface) to implement deep sleep. So these code just used by PowerPC.

Then remove the comment about the values being usable on ls1021.

-Scott